<?php
/**
 * Breadcrumb options
 *
 * @package Theme Palace
 * @subpackage Businesszen
 * @since Businesszen 1.0.0
 */

$wp_customize->add_section( 'businesszen_breadcrumb', array(
	'title'             => esc_html__( 'Breadcrumb','businesszen' ),
	'description'       => esc_html__( 'Breadcrumb section options.', 'businesszen' ),
	'panel'             => 'businesszen_theme_options_panel',
) );

// Breadcrumb enable setting and control.
$wp_customize->add_setting( 'businesszen_theme_options[breadcrumb_enable]', array(
	'sanitize_callback' => 'businesszen_sanitize_switch_control',
	'default'          	=> $options['breadcrumb_enable'],
) );

$wp_customize->add_control( new Businesszen_Switch_Control( $wp_customize, 'businesszen_theme_options[breadcrumb_enable]', array(
	'label'            	=> esc_html__( 'Enable Breadcrumb', 'businesszen' ),
	'section'          	=> 'businesszen_breadcrumb',
	'on_off_label' 		=> businesszen_switch_options(),
) ) );

// Breadcrumb separator setting and control.
$wp_customize->add_setting( 'businesszen_theme_options[breadcrumb_separator]', array(
	'sanitize_callback'	=> 'sanitize_text_field',
	'default'          	=> $options['breadcrumb_separator'],
) );

$wp_customize->add_control( 'businesszen_theme_options[breadcrumb_separator]', array(
	'label'            	=> esc_html__( 'Separator', 'businesszen' ),
	'active_callback' 	=> 'businesszen_is_breadcrumb_enable',
	'section'          	=> 'businesszen_breadcrumb',
) );
