<?php
/**
 * Layout options
 *
 * @package Theme Palace
 * @subpackage Businesszen
 * @since Businesszen 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'businesszen_layout', array(
	'title'               => esc_html__('Layout','businesszen'),
	'description'         => esc_html__( 'Layout section options.', 'businesszen' ),
	'panel'               => 'businesszen_theme_options_panel',
) );

// Site layout setting and control.
$wp_customize->add_setting( 'businesszen_theme_options[site_layout]', array(
	'sanitize_callback'   => 'businesszen_sanitize_select',
	'default'             => $options['site_layout'],
) );

$wp_customize->add_control(  new Businesszen_Custom_Radio_Image_Control ( $wp_customize, 'businesszen_theme_options[site_layout]', array(
	'label'               => esc_html__( 'Site Layout', 'businesszen' ),
	'section'             => 'businesszen_layout',
	'choices'			  => businesszen_site_layout(),
) ) );

// Sidebar position setting and control.
$wp_customize->add_setting( 'businesszen_theme_options[sidebar_position]', array(
	'sanitize_callback'   => 'businesszen_sanitize_select',
	'default'             => $options['sidebar_position'],
) );

$wp_customize->add_control(  new Businesszen_Custom_Radio_Image_Control ( $wp_customize, 'businesszen_theme_options[sidebar_position]', array(
	'label'               => esc_html__( 'Global Sidebar Position', 'businesszen' ),
	'section'             => 'businesszen_layout',
	'choices'			  => businesszen_global_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'businesszen_theme_options[post_sidebar_position]', array(
	'sanitize_callback'   => 'businesszen_sanitize_select',
	'default'             => $options['post_sidebar_position'],
) );

$wp_customize->add_control(  new Businesszen_Custom_Radio_Image_Control ( $wp_customize, 'businesszen_theme_options[post_sidebar_position]', array(
	'label'               => esc_html__( 'Posts Sidebar Position', 'businesszen' ),
	'section'             => 'businesszen_layout',
	'choices'			  => businesszen_sidebar_position(),
) ) );

// Post sidebar position setting and control.
$wp_customize->add_setting( 'businesszen_theme_options[page_sidebar_position]', array(
	'sanitize_callback'   => 'businesszen_sanitize_select',
	'default'             => $options['page_sidebar_position'],
) );

$wp_customize->add_control( new Businesszen_Custom_Radio_Image_Control( $wp_customize, 'businesszen_theme_options[page_sidebar_position]', array(
	'label'               => esc_html__( 'Pages Sidebar Position', 'businesszen' ),
	'section'             => 'businesszen_layout',
	'choices'			  => businesszen_sidebar_position(),
) ) );