<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage Businesszen
 * @since Businesszen 1.0.0
 */

// Add excerpt section
$wp_customize->add_section( 'businesszen_single_post_section', array(
	'title'             => esc_html__( 'Single Post','businesszen' ),
	'description'       => esc_html__( 'Options to change the single posts globally.', 'businesszen' ),
	'panel'             => 'businesszen_theme_options_panel',
) );

$wp_customize->add_setting( 'businesszen_theme_options[single_post_hide_banner]', array(
	'default'           => $options['single_post_hide_banner'],
	'sanitize_callback' => 'businesszen_sanitize_switch_control',
) );

$wp_customize->add_control( new Businesszen_Switch_Control( $wp_customize, 'businesszen_theme_options[single_post_hide_banner]', array(
	'label'             => esc_html__( 'Hide Banner', 'businesszen' ),
	'section'           => 'businesszen_single_post_section',
	'on_off_label' 		=> businesszen_hide_options(),
) ) );

// Tourableve date meta setting and control.
$wp_customize->add_setting( 'businesszen_theme_options[single_post_hide_date]', array(
	'default'           => $options['single_post_hide_date'],
	'sanitize_callback' => 'businesszen_sanitize_switch_control',
) );

$wp_customize->add_control( new Businesszen_Switch_Control( $wp_customize, 'businesszen_theme_options[single_post_hide_date]', array(
	'label'             => esc_html__( 'Hide Date', 'businesszen' ),
	'section'           => 'businesszen_single_post_section',
	'on_off_label' 		=> businesszen_hide_options(),
) ) );